package cz.moneta.test.dsl.mwf;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.support.mwf.Builders;
import cz.moneta.test.harness.support.mwf.MwfRequest;
import cz.moneta.test.harness.support.mwf.TifClient;

@Deprecated
public class IHub {
    private final Harness harness;

    public IHub(Harness harness) {
        this.harness = harness;
    }

    public <RESP, R extends MwfRequest<R, RESP>> R prepareRequestAsCbl(Class<R> mwf) {
        return Builders.newMwfBuilder(mwf, TifClient.HUB_CBL, harness);
    }

    public <RESP, R extends MwfRequest<R, RESP>> R prepareRequestAsUfo(Class<R> mwf) {
        return Builders.newMwfBuilder(mwf, TifClient.HUB_UFO, harness);
    }

    public <RESP, R extends MwfRequest<R, RESP>> R prepareRequestAsGem(Class<R> mwf) {
        return Builders.newMwfBuilder(mwf, TifClient.HUB_GEM, harness);
    }
}